# hello world

it is a complicated world, and it is getting more and more complicated every
day.  the death of expertise coincides with the death of trust, compounding
the impact of the problems the world faces as a whole.  it is absurd to pretend
that every individual may come to understand everything they may wish to
understand, just as it is absurd to pretend that every individual may develop
world-class skills in any discipline they may choose.  talent is unevenly
distributed, and time and attention are finite.  expertise and trust are
necessary for healthy and sane engagement with the world, increasingly so as the
world becomes more complex. 

though misinformation and trust have always been problems, they will become
acute (and arguably have already become so) if steps are not taken to safeguard
against the coming threats.  this is the threat i hope to address with my work.

because i am trying to bootstrap from a world which does not contain the tools
i wish to build, my implementations will be likely be less rigorous than i would
like.  my hope is that those who come after me may use whatever infrastructure
may result from my efforts to critique and refine what i have clumsily laid out.
i am no expert except when it comes to some aspects of modern technology, so
once i have laid out the framework of my ideas, i will try to keep my further
contributions within my sphere of expertise.

the tenets of what might be called my "faith" (as it is unproven) are these:

1) humility is essential to intellectual honesty.  without intellectual honesty,
   one risks delusion.  honest ignorance is better than delusions of knowledge.
   being proven wrong by better data should be welcomed.  changing one's mind
   to align with new information should not be derided.

2) the truth is not democratic, but the heuristic for determining it as a non-
   expert is democratic within the set of reputable experts.  it is far more
   likely that an individual is deluded than that a whole group of reputable
   persons are.

3) a set of experts may be identified by the effects of their applied theories
   and by social clustering.  a set of people whose work has contributed to
   the successful work of others may be safely considered experts, while those
   proposing alternative theories should not be considered so until either their
   impact surpasses the impact of the incumbent experts or until their theories
   are endorsed by the vast majority of reputable experts.

4) in cases where the effects of expert theories are unclear due to the
   complexity of the subject, one should either prefer to go with plain
   consensus or else disavow the entire notion of expertise in those fields due
   to intractible complexity making the acquisition of accurate knowledge
   unlikely.  in the latter case one may consider practice in said field an
   "art" rather than a "science," and in the former case one may simply plead
   ignorance.

5) the core of a person is their mind.  proofs of identity and action should be
   as closely bound to the mind as possible.  proofs based on image and sound
   are already forgeable and will continue to become ever more so.  the surest
   form of identity is presently the appearance of a flesh-and-blood entity.
   cryptographic keys are the closest thing to flesh-and-blood available in the
   digital realm at present.  thus, for all purposes, you _are_ your keys here.
   guard them like you would your life.  flesh-and-blood is the only fallback,
   and _that_ is not so easily distributed.

6) assume that one day you may be in danger because of either your actions or
   your identity.  plan accordingly.  if your planning goes to waste, fine.  if
   it doesn't, so much the better.  the freedom to act in accordance with one's
   conscience is sometimes dependent on one's ability to act in secret.
